PUT Update Webhooks in an Assessment

This API update the existing Webhhook of an assessment

Request URL

POST /webhooks/<assessment_id>

Body Parameters

{
    "webhooks": {
        "start": {
            "status": "boolean",
            "url": "string"
        },
        "submission": {
            "status": "boolean",
            "url": "string"
        }
    }
}

Warning

Make sure to add your API key in Header of the request

Parameters

Parameter

Type

Description

assessment_id

int

Assessment's ID for webhooks should be updated

start

object

Webhook for when the assessment starts.

submission

object

Webhook for when the assessment is submitted.

status

boolean

Whether the webhook is enabled.

url

string

The URL to receive event notifications.

Note

The start webhook is triggered when the candidate starts the assessment. The submission webhook is triggered when the candidate submits the assessment. Either one or both webhooks can be included in the request body.

Response

{
    "status": "success",
    "message": "Webhhook updated successfully"
}